org.eclipse.cdt.utils.macho.parser

## Class MachOBinaryObject

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.cdt.utils.BinaryFile
    - - org.eclipse.cdt.utils.BinaryObjectAdapter
      - - org.eclipse.cdt.utils.macho.parser.MachOBinaryObject

All Implemented Interfaces:
  IBinaryParser.IBinaryFile, IBinaryParser.IBinaryObject, org.eclipse.core.runtime.IAdaptable

Direct Known Subclasses:
  MachOBinaryExecutable, MachOBinaryShared

Deprecated.
Deprecated as of CDT 6.1. Use 64 bit version `MachOBinaryObject64`. This class is planned for removal in next major release.

    @Deprecated
    public class MachOBinaryObject
    extends BinaryObjectAdapter

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.cdt.utils.BinaryObjectAdapter

`BinaryObjectAdapter.BinaryObjectInfo`

### Field Summary

Fields
`protected IAddressFactory` `addressFactory` Deprecated.
`protected MachO.Attribute` `attributes` Deprecated.
`protected AR.ARHeader` `header` Deprecated.
`protected String[]` `needed` Deprecated.
`protected MachOHelper.Sizes` `sizes` Deprecated.
`protected String` `soname` Deprecated.
`protected IBinaryParser.ISymbol[]` `symbols` Deprecated.
`protected long` `timeStamp` Deprecated.

### Fields inherited from class org.eclipse.cdt.utils.BinaryObjectAdapter

`NO_SYMBOLS`

### Fields inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`ARCHIVE, CORE, EXECUTABLE, OBJECT, SHARED`

### Constructor Summary

Constructors
Constructor and Description
`MachOBinaryObject(IBinaryParser parser, org.eclipse.core.runtime.IPath path, AR.ARHeader header)` Deprecated.
`MachOBinaryObject(IBinaryParser parser, org.eclipse.core.runtime.IPath path, int type)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`protected void` `clearCachedValues()` Deprecated.
`<T> T` `getAdapter(Class<T> adapter)` Deprecated.
`IAddressFactory` `getAddressFactory()` Deprecated.
`protected BinaryObjectAdapter.BinaryObjectInfo` `getBinaryObjectInfo()` Deprecated.
`long` `getBSS()` Deprecated.
`InputStream` `getContents()` Deprecated.
`protected CPPFilt` `getCPPFilt()` Deprecated.
`String` `getCPU()` Deprecated. CPU name
`long` `getData()` Deprecated.
`protected MachOHelper` `getMachOHelper()` Deprecated.
`String` `getName()` Deprecated. The name of the object
`String[]` `getNeededSharedLibs()` Deprecated.
`String` `getSoName()` Deprecated.
`IBinaryParser.ISymbol` `getSymbol(IAddress addr)` Deprecated. Symbo at this address.
`IBinaryParser.ISymbol[]` `getSymbols()` Deprecated. Symbols of the object
`long` `getText()` Deprecated.
`protected boolean` `hasChanged()` Deprecated.
`boolean` `hasDebug()` Deprecated. True if the binary contains debug information
`protected MachO.Attribute` `internalGetAttributes()` Deprecated.
`protected String[]` `internalGetNeeded()` Deprecated.
`protected MachOHelper.Sizes` `internalGetSizes()` Deprecated.
`protected String` `internalGetSoName()` Deprecated.
`protected IBinaryParser.ISymbol[]` `internalGetSymbols()` Deprecated.
`boolean` `isLittleEndian()` Deprecated. The endian
`protected void` `loadBinaryInfo()` Deprecated.
`protected IBinaryParser.ISymbol[]` `loadSymbols(MachOHelper helper)` Deprecated.

### Methods inherited from class org.eclipse.cdt.utils.BinaryObjectAdapter

`toString`

### Methods inherited from class org.eclipse.cdt.utils.BinaryFile

`getBinaryParser, getPath, getType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`getBinaryParser, getPath, getType`

### Field Detail

#### header

    protected AR.ARHeader header

Deprecated.

#### addressFactory

    protected IAddressFactory addressFactory

Deprecated.

#### attributes

    protected MachO.Attribute attributes

Deprecated.

#### sizes

    protected MachOHelper.Sizes sizes

Deprecated.

#### symbols

    protected IBinaryParser.ISymbol[] symbols

Deprecated.

#### soname

    protected String soname

Deprecated.

#### needed

    protected String[] needed

Deprecated.

#### timeStamp

    protected long timeStamp

Deprecated.

### Constructor Detail

#### MachOBinaryObject

    public MachOBinaryObject(IBinaryParser parser,
                             org.eclipse.core.runtime.IPath path,
                             AR.ARHeader header)

Deprecated.

Parameters:
  `parser` -
  `path` -
  `header` -

#### MachOBinaryObject

    public MachOBinaryObject(IBinaryParser parser,
                             org.eclipse.core.runtime.IPath path,
                             int type)

Deprecated.

Parameters:
  `parser` -
  `path` -
  `type` -

### Method Detail

#### getBinaryObjectInfo

    protected BinaryObjectAdapter.BinaryObjectInfo getBinaryObjectInfo()

Deprecated.

Specified by:
  `getBinaryObjectInfo` in class `BinaryObjectAdapter`

#### getContents

    public InputStream getContents()
                            throws IOException

Deprecated.

Specified by:
  `getContents` in interface `IBinaryParser.IBinaryFile`
Overrides:
  `getContents` in class `BinaryFile`
Returns:
  the binary contents.
Throws:
  `IOException`
See Also:
  `IBinaryParser.IBinaryFile.getContents()`

#### getMachOHelper

    protected MachOHelper getMachOHelper()
                                  throws IOException

Deprecated.

Throws:
  `IOException`

#### getName

    public String getName()

Deprecated.
Description copied from interface: `IBinaryParser.IBinaryObject`
The name of the object

Specified by:
  `getName` in interface `IBinaryParser.IBinaryObject`
Overrides:
  `getName` in class `BinaryObjectAdapter`
Returns:
  String
See Also:
  `IBinaryParser.IBinaryObject.getName()`

#### getAddressFactory

    public IAddressFactory getAddressFactory()

Deprecated.

Specified by:
  `getAddressFactory` in interface `IBinaryParser.IBinaryObject`
Specified by:
  `getAddressFactory` in class `BinaryObjectAdapter`

#### clearCachedValues

    protected void clearCachedValues()

Deprecated.

#### internalGetAttributes

    protected MachO.Attribute internalGetAttributes()

Deprecated.

#### internalGetSizes

    protected MachOHelper.Sizes internalGetSizes()

Deprecated.

#### internalGetSymbols

    protected IBinaryParser.ISymbol[] internalGetSymbols()

Deprecated.

#### internalGetSoName

    protected String internalGetSoName()

Deprecated.

#### internalGetNeeded

    protected String[] internalGetNeeded()

Deprecated.

#### loadBinaryInfo

    protected void loadBinaryInfo()

Deprecated.

#### loadSymbols

    protected IBinaryParser.ISymbol[] loadSymbols(MachOHelper helper)
                                           throws IOException

Deprecated.

Throws:
  `IOException`

#### getCPPFilt

    protected CPPFilt getCPPFilt()

Deprecated.

#### getCPU

    public String getCPU()

Deprecated.
Description copied from interface: `IBinaryParser.IBinaryObject`
CPU name

Specified by:
  `getCPU` in interface `IBinaryParser.IBinaryObject`
Overrides:
  `getCPU` in class `BinaryObjectAdapter`
Returns:
  String - cpu name
See Also:
  `IBinaryParser.IBinaryObject.getCPU()`

#### hasDebug

    public boolean hasDebug()

Deprecated.
Description copied from interface: `IBinaryParser.IBinaryObject`
True if the binary contains debug information

Specified by:
  `hasDebug` in interface `IBinaryParser.IBinaryObject`
Overrides:
  `hasDebug` in class `BinaryObjectAdapter`
Returns:
  true if debug information
See Also:
  `IBinaryParser.IBinaryObject.hasDebug()`

#### isLittleEndian

    public boolean isLittleEndian()

Deprecated.
Description copied from interface: `IBinaryParser.IBinaryObject`
The endian

Specified by:
  `isLittleEndian` in interface `IBinaryParser.IBinaryObject`
Overrides:
  `isLittleEndian` in class `BinaryObjectAdapter`
Returns:
  boolean - true for little endian
See Also:
  `IBinaryParser.IBinaryObject.isLittleEndian()`

#### getBSS

    public long getBSS()

Deprecated.

Specified by:
  `getBSS` in interface `IBinaryParser.IBinaryObject`
Overrides:
  `getBSS` in class `BinaryObjectAdapter`
See Also:
  `IBinaryParser.IBinaryObject.getBSS()`

#### getData

    public long getData()

Deprecated.

Specified by:
  `getData` in interface `IBinaryParser.IBinaryObject`
Overrides:
  `getData` in class `BinaryObjectAdapter`
See Also:
  `IBinaryParser.IBinaryObject.getData()`

#### getText

    public long getText()

Deprecated.

Specified by:
  `getText` in interface `IBinaryParser.IBinaryObject`
Overrides:
  `getText` in class `BinaryObjectAdapter`
See Also:
  `IBinaryParser.IBinaryObject.getText()`

#### getSymbols

    public IBinaryParser.ISymbol[] getSymbols()

Deprecated.
Description copied from interface: `IBinaryParser.IBinaryObject`
Symbols of the object

Specified by:
  `getSymbols` in interface `IBinaryParser.IBinaryObject`
Specified by:
  `getSymbols` in class `BinaryObjectAdapter`
Returns:
  ISymbol[] arrays of symbols
See Also:
  `IBinaryParser.IBinaryObject.getSymbols()`

#### getSymbol

    public IBinaryParser.ISymbol getSymbol(IAddress addr)

Deprecated.
Description copied from interface: `IBinaryParser.IBinaryObject`
Symbo at this address.

Specified by:
  `getSymbol` in interface `IBinaryParser.IBinaryObject`
Overrides:
  `getSymbol` in class `BinaryObjectAdapter`
Returns:
  ISymbol

#### getNeededSharedLibs

    public String[] getNeededSharedLibs()

Deprecated.

Overrides:
  `getNeededSharedLibs` in class `BinaryObjectAdapter`
See Also:
  `IBinaryParser.IBinaryExecutable.getNeededSharedLibs()`

#### getSoName

    public String getSoName()

Deprecated.

Overrides:
  `getSoName` in class `BinaryObjectAdapter`
See Also:
  `IBinaryParser.IBinaryShared.getSoName()`

#### hasChanged

    protected boolean hasChanged()

Deprecated.

Overrides:
  `hasChanged` in class `BinaryFile`

#### getAdapter

    public <T> T getAdapter(Class<T> adapter)

Deprecated.

Specified by:
  `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
Overrides:
  `getAdapter` in class `org.eclipse.core.runtime.PlatformObject`